<?php

//Marcamos ActualizarWEB de todos los productos que ayer cerrasen alguna tarifa
error_reporting(E_ALL);
ini_set('display_errors', 1);
ini_set('memory_limit', '512M');
date_default_timezone_set('Europe/Madrid');
include("../conexion.php");
$discordchannel="935430617842196601";


function mssql_escape($str)
{
    if(get_magic_quotes_gpc())
    {
        $str= stripslashes($str);
    }
    return str_replace("'", "''", $str);
}


$serverName = "localhost";
$connectionInfo = array( "Database"=>"ICF", "UID"=>"VAIO", "PWD"=>"VAIO");

$connNavision=false;
$retries=0;
while(!$connNavision && $retries<3){
	$connNavision = sqlsrv_connect( $serverName, $connectionInfo);
	$retries++;
}


	if( $connNavision ) {
		 //echo "Conexion establecida con Navision.\r\n";
	}else{
		 //echo "Conexion no se pudo establecer con Navision.\r\n";
		 die( print_r( sqlsrv_errors(), true));
	}

		$twodays=date('Y-m-d', strtotime('-2 days'));
		$now=date('Y-m-d');
		
		$sql = ' 
					SELECT I.[Item No.]
					FROM [Ind. Campollano Ferretería S.L$Sales Price] I
					LEFT JOIN dbo.Item K ON K.[No.]=I.[Item No.] 
					Where [Ending Date]>CONVERT(date,\''.$twodays.'\') AND [Ending Date]<CONVERT(date,\''.$now.'\') AND K.[ProductoWEB]=1';	
		
		$stmt = sqlsrv_query( $connNavision, $sql );
		if( $stmt === false) {
			die( print_r( sqlsrv_errors(), true) );
		}
			
		$existen=false;
		//Preparamos Array de productos en Navision
		$arrayProductosNavision=array();
		while( $row = sqlsrv_fetch_array( $stmt, SQLSRV_FETCH_ASSOC) ) {
			$arrayProductosNavision[$row['Item No.']]=$row;
			
		}
		$cont=0;
		foreach($arrayProductosNavision as $productoNavision) {
			$needUpdate=false;
			$sku=($productoNavision['Item No.']);
			//echo "=> ".utf8_encode($productoNavision['Item No.'])." > Marcamos actualizar WEB <br>";
			
			
			$sql="UPDATE dbo.[Item] SET [ActualizarWeb]=1 WHERE [No.]='".$sku."'";	
			$stmt = sqlsrv_query( $connNavision, $sql );
			if( $stmt === false) {
				die( print_r( sqlsrv_errors(), true) );
			}
			
			
			$cont++;
	
		}
		
		
		if($cont>0){
			file_get_contents("https://icfbot.ferreteriacampollano.com/message.php?channel=".$discordchannel."&msg=".urlencode(":white_check_mark:"."SCRIPT ".basename(__FILE__, '.php').": Se han marcado como ActualizarWEB ".$cont." productos en los que ayer se cerrÃ³ una tarifa de ventas"));
		}
?>
